GNU bug report logs - #55660
29.0.50; PGTK degrades to terminal-compatible keyboard events

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Derek Upham <derek_upham@HIDDEN>; Keywords: moreinfo; merged with #49211, #51002, #53200, #55362, #56653; Done: Po Lu <luangruo@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug unarchived. Request was from Daan Ro <daanturo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 49211 51002 53200 55362 55660 56653. Request was from Po Lu <luangruo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 49211 53200 55362 55660 56653. Request was from Po Lu <luangruo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55660 <at> debbugs.gnu.org:


Received: (at 55660) by debbugs.gnu.org; 28 May 2022 00:42:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 27 20:42:08 2022
Received: from localhost ([127.0.0.1]:36065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nukWu-0001Wo-JY
	for submit <at> debbugs.gnu.org; Fri, 27 May 2022 20:42:08 -0400
Received: from sonic303-22.consmr.mail.ne1.yahoo.com ([66.163.188.148]:41433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nukWs-0001WJ-Uo
 for 55660 <at> debbugs.gnu.org; Fri, 27 May 2022 20:42:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653698521; bh=IgCRu/zCht1Mxl36TlmS1UcpiY7Z08v6qGMPxC6BaVY=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Jw8Ho4CwkwjSWHWs1OKwZK3irRdG1jw3lBKNeWc7CRJVMo4du7zZzvyJOVSu1tOfWqS9rYr8vejDdgIvjpN3XFVRwN9zdgz9Esc9pwMPVrZok7/2H+YvDFO3UNdr5lLQed3ntoyskLsHSk9wJQIYH4595ZFAyIdovp35UAAzlX1dFoWuJql7lRjcK+XWcaCQJ0wZGdBIXt4a0hcfbziFuxpI7a6HyUoUJsaZupJOHxKAm0y96q5i9v+UZw0KZFpZKwF4VTRVjpiPGHfQC5rolv9l1NKPbw1P64etaVR7B4QAKZxhrmCYR4ACwk9K5BpIhUFG7hFOOErlRVgJ20x9CQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653698521; bh=edS7R77TgB+MRtpl2F1ElhHvcIUv3y+ZohRV1XdQPz4=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=amtSfXRUEftgiuYWQGDeTVtAptebdwFo1uDJ3t0sFK3eBUphge2boaQQjg0bb9IrUvn/NwVh8HAW7ZW3tRw9CtQT2mk8+mbN72mtJ8OhdXSZdeDq6OtReyDH+GHrvBwZo64Tck/swiJPq3lL7Mwsam1VwFJ4A2NjbWw91yKBzMDWVxkV9IpfLggiWhCEueouYUsD6WjJlpQYauyXxeCGavBnSnZBm1iHF9N8DdFkYypoMqJcf2nzZ3l2SS8xERTNelRoYN/b5X+0z8kQiE45jjsQGJkQAWis7z/WWulSF0HGTji27NbejzuYmlnDVFuI+qz89bGqo1bqz/XIkYcd1g==
X-YMail-OSG: W79IqdEVM1liJCKqXabsvg54yql.zmN4Ro6rVOhmStkl_fT..20jf7nDTuWzIWf
 90j.DpmrPTM.ivWddU0uQDYIEzRtZDQlwIb3DAB07hTK_9STQVYkZYhJe4x7j1Yt7C3OdJt8FiaB
 bFzqpBeLvT8kGzO1kDNEmtIW8yc_jGCMbL3sn27cfs6QrA0QaKiWnHS8JMGOTxUQf1w07JUgJb1j
 GJk7_zRt8Jv2eV8OA11fH6K2u09.vGKYH5bl4AeGpSN4b5NTj23xqzB.egghRC5brlqObWODqsVH
 gHI3sBZu_hJCaIwsHYKuuQG4CDIpzmLWuZlAZf8bToMH7cKs.pg_iS6.Gr.df.5lNyPB5kcpjhzl
 qo2A_xUbFqd7m5ykQ70XIAj0ll2wsBej8Vzy4nP8EpdXS_Oi58EMmOkDMNdjoE5r0wO.uB86eAij
 iD2Wi4fTwEBiDzefdysBo2b2vDAGdvgvrNl27SRDI56NLt5KtSfNs6nAW38xZHIna4F3xFJHsC4L
 NbVoKYwvKL_7T3hiUHSv64D.CrUxmx_2Hnl0PeboaxvWd4vmHTm3_eMqb7zw2g5.WxO9Gh8gIt4a
 et24.vlXrDIAiy9AWeq2IVxjvWYJYm5q97frVo7W8v_bTdRbsMCP0Wtfr.00xNGNEKHfCkgU6q0m
 lBjXdCNs4BtKk2GVq9P0pXDsjEisvtPg9iX.E4j028B5CmUeWGxzu7mamRBwX0IG_exNw7rB2Tcf
 tO4igzLJzPebCAzbsnGvUwb4reHnNGzQLD4kXFfQaT8V8d6nyCso.90ZkeMPA0CNaI8v2lB0Oiwk
 V3zPC5dpOESkf4bAA6yNYYhdvt_aj2aK4SS1hDlp6w7dr.utp5mbTxChsrgpHfQ5B78qAwUOqTPc
 PragSCodHKyquQzkiu0p7FmDVoPhuMg_J.YAoDQn0Mpnxazu50YHsqCe9eauxsiMO8Pio9xM1ymj
 Ocq7fTjHv9f5LyC_s9ELMys4lJ2hFYNFcCOv4.w61dsz6pPYq_9ioWcNguv7ur8UKPmRSQYQcilJ
 DPK92ohFE0uBbyjziHr7hHmZbKd2Sx75c0ciptwVpawY8JT.1HW3fwjOrwjTgSqMLS_FE8johbYZ
 qQ7m3itzk59MPOg5LF9yHu6fTCU0f1EPEoVJxo0S2YIgIJ6enWWs7vz6.N901t_TSXg9y1JUUtKi
 c3CVghJWOe7TsN77uH8xKPRfhB2BenEfdpdp1IxIJfZ9kJbFDGbyVm8gyT9V_FrCKyCvrlAr6xGn
 o1pMvJVxea7DxjokT0Mjp6kHekVz5hfEjV.oSLj.9O8JJOsiqx857oMZlZ_9AJ7_oTv2nzfcC10n
 _hLOpPHU7UZIu_gGL4roFohh2WGEgS4ZewsFWcgMr2EV9O06zGr8OmbI0KTKwEwrhHwqnG04u2ey
 UtGZkuw2tSA_Q7lanooaCFFUCtx7W_tXqZWbnOi8QjbnWAzT1T4vNXw_leB4r0bP67E.W4R0bDrU
 lEfCdbtqqjIpGWVNaKWuf2qNL2A4gsZ0m7Aj26ndlCK2JkzfnHyXUySr1lI0DsMsvQ.NIx1U.4tq
 BKp0w01_TB98nfxVF_WUpnaC05kmHulTmABiKJcvnxshelDtU99AiHe5In9oGyZIe6pMhfB8aM.3
 Tgeh18HQPo2vasAnRiNB84csO6sgKk_JpmQ6FFBaEnINP0oHho3V7yPWpbU0uH3Td5ugNpetU5Ke
 mBsmhYQtB0Qga.IjWTZa_ioLClpFrDdGVw9ZDUPVYIk1a2zY31GYktTp1hovG8_qyXaXo4XqYPOn
 GdK_eGZsFwzjkSdfXcBPVoz_7yL91bnvNG1qjLT2.ooiR07_a6dRmpBUibXpBlRkfHAzksv0o4sm
 Ltqdqf5x4cjE2.PoOm1UVe1dab9xQ2.qs.RPb8OXLCRdHvEZ70KlvQJPSFXTCYnAm3ZagoCz1O6d
 Ua3Q8ZC6vatZvEfB1bRxG_fuNUxvUspX1aeiUWHVA4nGawJXetiYLW.JiKvVxN_NMAn0b7plVy2y
 yx30E5pjIqr7Sk5N6uH24gmXkncLOqvBH9Luyl2qqWxIx1aEj33X67RbqPZULznVbu1KeAvInBIO
 B54Dd0VpCUKrdhPxCJh5AYET32DZEpMsCSGM90yW1Ee1rDTFCi49TERmi44OG2dZ2hUBm7Gfy2fj
 bW40Sn5U3u6XtbDTYnL4Uu.PVxfXSPnyqEHTS1MzeKY7SjltVzMxa4M3jdegV8XGDvbuS2NlSSWj
 iba9lZwlku9IaysnRoDUlYt7MjIa745wyqZ5ma.NJz6h6bQHk.u3RxSNeOeLXR8F2jg--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ne1.yahoo.com with HTTP; Sat, 28 May 2022 00:42:01 +0000
Received: by hermes--canary-production-sg3-5f7658c994-7rkj7 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 1cb8b1a6d6914720b3b18f498089072b; 
 Sat, 28 May 2022 00:41:56 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Derek Upham <derek_upham@HIDDEN>
Subject: Re: bug#55660: 29.0.50; PGTK degrades to terminal-compatible
 keyboard events
References: <87bkvktkva.fsf@HIDDEN>
 <87zgj3j07s.fsf@HIDDEN> <87mtf3dbga.fsf@HIDDEN>
 <87v8trivlc.fsf@HIDDEN> <83ee0fo70q.fsf@HIDDEN>
 <87pmjzik5x.fsf@HIDDEN> <838rqno3mh.fsf@HIDDEN>
 <87ee0fiewd.fsf@HIDDEN> <87ee0fc6ps.fsf@HIDDEN>
Date: Sat, 28 May 2022 08:41:51 +0800
In-Reply-To: <87ee0fc6ps.fsf@HIDDEN> (Derek Upham's
 message of "Fri, 27 May 2022 08:53:35 -0700")
Message-ID: <87r14eebe8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20225
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1415
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55660
Cc: Eli Zaretskii <eliz@HIDDEN>, 55660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Derek Upham <derek_upham@HIDDEN> writes:

> How about this?
>
> ** Keyboard behavior depends on your GTK input method
>
> The GTK3 libraries may interpret and process keypresses as part of the
> current GTK input method, before passing them as input events to
> Emacs.
> GTK applications like PGTK Emacs configure their input method
> automatically based on environment variables, particularly LANG and
> GTK_IM_MODULE.
>
> If you notice differences in keyboard behavior depending on how you
> start PGTK Emacs, compare your environments using
> `process-environment'.
> For example, you may see behavior differences when running Emacs out
> of
> a systemd unit file, compared to running Emacs from the command line.
> Input methods may also cause the keyboard behavior to change if you
> switch from a GTK-based build to a PGTK-based build.
>
> Emacs may reveal bugs that are in the input method libraries. Those
> libraries are out of Emacs's control, but you can tell PGTK Emacs to
> bypass input methods entirely using an Emacs Lisp function:
>
>  M-: (pgtk-use-im-context nil)

No, that doesn't describe the problem very well.  `process-environment'
is certainly completely unrelated, and the description is much more
vague, with no examples of what can go wrong with faulty input methods.

The first half of the entry also describes a different problem, which
has already been in PROBLEMS for a while.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55660; Package emacs. Full text available.

Message received at 55660 <at> debbugs.gnu.org:


Received: (at 55660) by debbugs.gnu.org; 27 May 2022 15:53:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 27 11:53:50 2022
Received: from localhost ([127.0.0.1]:35649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nucHe-0006uH-E6
	for submit <at> debbugs.gnu.org; Fri, 27 May 2022 11:53:50 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:36064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <derek_upham@HIDDEN>) id 1nucHa-0006tz-Ft
 for 55660 <at> debbugs.gnu.org; Fri, 27 May 2022 11:53:48 -0400
Received: from smtpauth1.co-bxl (smtpauth1.co-bxl [10.2.0.15])
 by wilbur.contactoffice.com (Postfix) with ESMTP id C23A2EF6;
 Fri, 27 May 2022 17:53:40 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1653666820; 
 s=20210208-e7xh; d=mailfence.com; i=derek_upham@HIDDEN; 
 h=References:From:Cc:In-reply-to:Date:Message-ID:MIME-Version:Content-Type; 
 l=1323; bh=chbyz/+IhxV3fpHbKYv+diSfZN834pTcgrvs4E1MMnU=;
 b=dBFnOhFGf7PnN4noozxM4kwLgGAxtJcOkIVMQXq26fqtptzvhqRIVM9MaSHjqJgo
 pp1vbNNPJQTN1E/CGzL/QvY6XPxChFHCWjuUAaivuw0o+jgjw5qwnP7M4bfyezy02tp
 OZVJJrA68IhKykiuAIuOD9Yn8piiWzk0s3dMe3pn6+BTV0YQR1JTGpEzkmCiKvCeK50
 4IMcep/wMLZqC2Eh61FNmFVIf0JBFPhwpudE0N1WWmXzDt671kvks1f9nDZ+ptR/c12
 JRvz+FICioCyIYmwE0siARrlNzF+7YmHxGot4nDI1d35MmvLY7sAxDYOLdUT9iUkoEM
 rRfc4+IHAg==
Received: by smtp.mailfence.com with ESMTPSA ;
 Fri, 27 May 2022 17:53:38 +0200 (CEST)
Received: from [::1] (helo=priss.frightenedpiglet.com)
 by priss.frightenedpiglet.com with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.95)
 (envelope-from <derek_upham@HIDDEN>) id 1nucHP-006TMU-Kq;
 Fri, 27 May 2022 08:53:35 -0700
References: <87bkvktkva.fsf@HIDDEN>
 <87zgj3j07s.fsf@HIDDEN> <87mtf3dbga.fsf@HIDDEN>
 <87v8trivlc.fsf@HIDDEN> <83ee0fo70q.fsf@HIDDEN>
 <87pmjzik5x.fsf@HIDDEN> <838rqno3mh.fsf@HIDDEN>
 <87ee0fiewd.fsf@HIDDEN>
User-agent: mu4e 1.4.8; emacs 29.0.50
From: Derek Upham <derek_upham@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55660: 29.0.50; PGTK degrades to terminal-compatible
 keyboard events
In-reply-to: <87ee0fiewd.fsf@HIDDEN>
Date: Fri, 27 May 2022 08:53:35 -0700
Message-ID: <87ee0fc6ps.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Flag: NO
X-Spam-Status: No, hits=-1.0 required=4.7 symbols=ALL_TRUSTED,
 T_SCC_BODY_TEXT_LINE device=10.2.0.21
X-ContactOffice-Account: com:175140567
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55660
Cc: Eli Zaretskii <eliz@HIDDEN>, 55660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


Po Lu <luangruo@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> Thanks, but shouldn't the heading line of the entry you added 
>> be
>> qualified with "in PGTK builds"? or maybe "in GTK and PGTK 
>> builds"?
>
> It's already under "Runtime problems specific to PGTK".

How about this?

** Keyboard behavior depends on your GTK input method

The GTK3 libraries may interpret and process keypresses as part of 
the
current GTK input method, before passing them as input events to 
Emacs.
GTK applications like PGTK Emacs configure their input method
automatically based on environment variables, particularly LANG 
and
GTK_IM_MODULE.

If you notice differences in keyboard behavior depending on how 
you
start PGTK Emacs, compare your environments using 
`process-environment'.
For example, you may see behavior differences when running Emacs 
out of
a systemd unit file, compared to running Emacs from the command 
line.
Input methods may also cause the keyboard behavior to change if 
you
switch from a GTK-based build to a PGTK-based build.

Emacs may reveal bugs that are in the input method libraries. 
Those
libraries are out of Emacs's control, but you can tell PGTK Emacs 
to
bypass input methods entirely using an Emacs Lisp function:

  M-: (pgtk-use-im-context nil)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55660; Package emacs. Full text available.

Message received at 55660 <at> debbugs.gnu.org:


Received: (at 55660) by debbugs.gnu.org; 27 May 2022 08:00:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 27 04:00:34 2022
Received: from localhost ([127.0.0.1]:60842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuUte-0008Cn-MX
	for submit <at> debbugs.gnu.org; Fri, 27 May 2022 04:00:34 -0400
Received: from sonic316-22.consmr.mail.ne1.yahoo.com ([66.163.187.148]:42533)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nuUtc-0008CW-Ne
 for 55660 <at> debbugs.gnu.org; Fri, 27 May 2022 04:00:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653638427; bh=OSVfT1ifxQ72uqV5rxNvB8C/mJzBbmdCiw/idrFxBUs=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=TeFkmt31IDGSRC3HIRkv2G/1M8epO2y9hFLtiyPWFWTmRfUSS5YqLzVxxltLQ0vt3/xDj8A3Org6Rb6hdJ/UD71DwfyCUUt8T5+cbMpAt6P+5dn1+TCMGtLocjGOy3vwNRg5X255T/hmG92uQIT4I5SAbWuEVnxhofLLy+pscxi8/tWL7iz6+OrKIRJYIWrKTIZrhPC/7GCha1POHmNdz7OawX3nK5RY4mh+bdVBaDhEjhBubjzUtXSYWnyivhX4R9xaORi3Fr4cGJa4koKdSAd+FN05UmMtM6u8OHKoaFYng7Zpq3TRAWsdZxOmVb9zinqFrw9qeGsaV0gJaDYOHw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653638427; bh=joexG3RcTUaCK/XqQmWRYHO4qi/VAz8UQrZd/oirPTq=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=Xzr0TR8KPEUudTPkOtw/OC0dkLAVMNBOWBA03/C/Uiwo14dM9Q3s3Bbw3IJSTkzSqRiWQZI9oT3C37OcvRv6atgTjCnIbErggZPI4EMKfGRtoFoVex7dQLHU2k9DaGXtCC5tgl+4dgxNJr4eMyabxIUL3JONNkNOXFH96fHGe/qsA6tbHyRWBqrB84zuXI2WlELiLAE70/9uMUjMntyejxjmX8b5Tdfjd8sbZ5CUySCN7Bc4LfvTwOtPAk1bUhQXM10fF9+01VA4T+DftL+M/+pBk9CZydSY72JSJw0wFaxVrACxEUAqbJcBpOznh35BG2zi0Zp+bwXdUNeOv5eXcw==
X-YMail-OSG: x.hkTs4VM1nrG5tRTRp0C2huYbCuuvYUs8bBCCmcaFJbZj8pBcCYzlFbk1TBTOm
 1pAtfRcAwJW77z3ZxtfhoEEvznk0lEMUaXyRsfyi1qBepGG75301AqI9_2Y18KN.7G08D5lhrbjE
 W5zNVNB.OWSKNbf46ziVrSkFolCpnMoPtW0o54LH2rxOpLaLfd702zk5YII4J0L.Qb4x8.J2Hetk
 esPuBMsG9_JCD.70585XV8bfE5xezeS7.2JRhfrgGcsvGTOkXMJJHJEX0F0ikkU1uode.IfuLIC9
 Mk7Z_.zPzzMiUx.dpEI7ZeDpXq__.0JCDObT8boJfpQC9pzeD2aPgUNth40ML7PycF82PK9g97sF
 rvNaBdDgtKkwfCVxhEONZpjYbi96Hmr419U_FYXuJ09BKdHkl6UIWN8Rm7E0WTC_fGp9zsk.ryJH
 6TZBVy4AoVvmYYZ9jQF_t8qP905u.8OUT5tQsnTZOxo6FL01RfjcoYmd0R_IpafyKC3TkfWSsyoa
 QTyGhm.PpjenMO7NB4zWBLU2kZGPScfY4S.9odW57DWuOZPKdUO.4Nby8cR8Q66jJxxPrgeW5nyi
 FqTYfpvhXAfdp7MrSOaAw4fXDyM41NXBL0CDmzyUbXbe15B4h8eS_lh.5VS7Mcm3.0HkbggEzNpG
 zi94d0.ttQRCquJVroXt.kZAqa40TkVEPSU8zp1DnOQ31FQsfm2eZWVEcK50PX0Onqc8pqA7Fq2i
 Zc84X_7Bc3q3euJzxuVhyL1Bar8rnqsSp2nLvsvKYuEexCouiChEqTrXiAQdcqY9XEBo.oqGa9rZ
 PAUYpWQAhXp.5AbQQeFa822fHBm_mJ6hid7IYFkA.NIGAtEZyzQxmhgPSv9dCzTggib28dgzF7Wf
 poozdl9ILSRatcHzDcOVwknFIDLOvpz7bkvSCi0PTOqmwjTMwjEkWN.b16xSy5MV_gwgZxT..ihB
 jm2n79heDRjWUVNwXe1zu_Ft8dj.MMn4QPmn14uhu3jYVTt.41tQw_9KDAQJrzS4PKVS3yHqeJMy
 WmyU8HUI0mS3eO86K_fIDwSLqfXUdYBr9sr79dN18SaHFwi6SPCvXA1iRKIVFn_3kPGOH9Lq6z0t
 OAxyP8Z5IwV.GVOqVqHuwL8Has6QNpfWvgGoRNhz5xxE3LPu3yv.ZXij.1wN1w4eTvVVBvaXST4Q
 V4ea2xOIY_T2ifCltgf2Kq6JzxtfnTc_SN4e8hQVVfmM2ZxYE8I6.PZr3du7PHz4SNdjxoFfZHST
 eEC2P3zt7kAEGKYxzUEkhOahPGovOBKyIckpgBFfmy5vgqzk.ecq7nNY.bg2F2pumIqYnFEgeVEN
 PclmXLrIVJ650unwP0pPbBZZH4xsU1duw8luacD5yCr1R3jhYgXbQrHJ8PqCd4En_ty1dztSZL0A
 kFRfx6IQTdtSLOVQsRQkDSjpfJ0Lx1csrujY6xtKAyIifshxpr2T6n5Q9dvjnUbolvp0Af2uOpsz
 7qr0SUlbA6buanjp_WYQWl_eYcDr_w.2jIB6_tU8pxXBgK4HcEP8Ethb8DD4b_UBZL1krdCg8rEf
 Ai03jNJ6gKy.WHf77hb5t4Klz33Gq4f7dZEferVeTH9HzIgMmsrKTdOmoZ6JI0SyMQZaps3lXSmv
 zv2kXrpR7zEp2Dl56ons8HgHZuFb8yyKDM1bJqH9iJxWEtJTdRlpaFGRLrTeLKUvnFVJW2r2eP7b
 DtuZ52cnV.7lAdUCe58dLmJhhJLzrXHFUWJS84L4_BqZFt43O.tnfbfx_x8RScVPfVo9xGKcatMN
 J752MxEvXvhlY87r_nP1PNR.tMeKDPqzt_ztY0O_SykJkMRwTDxsV6UNwV3M57we3wErse2cq7f2
 0c5C9yKTFC_IPqBdF2HakTzGdL6HJcAoYTTxNwNP2cCOW7wwRnAX06j0TNVxsDLKJZC.HVYa5LdB
 H1UGDd5pDlH.qhhXOtYDZBqvz9gUVYBnCsTJHGddGZz6xZv1yqPfQcbdcEu3C2rk4zKunAK1msUz
 vGmpV5o3f5g501og6ih0vmPiHnPDq6rAngWvNeaLfsHtPTCtZZbXQchnoftIvFrjYmVkmbW98KZG
 7kIIV6halZI6qev5UOCkrh3nnbOIHiwCle0B9Ub5Niq7891_myrT.vI4VoLeJShhKlKjT5Rq_XnK
 1ia4GZl_4fs_o74vVYAQb6MD2ABxHDjgyv45BdyG_dwOmvRyTltNbp59v07kz4sNMxV4Kc.L6_2T
 krtH9vvVdEtkYWQXDeWLLug8RJbeSd_m7OnD715lrZ6_F0EDB.jfgkd.2GEd2.Q--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic316.consmr.mail.ne1.yahoo.com with HTTP; Fri, 27 May 2022 08:00:27 +0000
Received: by hermes--canary-production-sg3-5f7658c994-zbd6m (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID ae283a04ffbd2f96b0136f08cb4c7e17; 
 Fri, 27 May 2022 08:00:24 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#55660: 29.0.50; PGTK degrades to terminal-compatible
 keyboard events
References: <87bkvktkva.fsf@HIDDEN>
 <87zgj3j07s.fsf@HIDDEN> <87mtf3dbga.fsf@HIDDEN>
 <87v8trivlc.fsf@HIDDEN> <83ee0fo70q.fsf@HIDDEN>
 <87pmjzik5x.fsf@HIDDEN> <838rqno3mh.fsf@HIDDEN>
Date: Fri, 27 May 2022 16:00:18 +0800
In-Reply-To: <838rqno3mh.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 May
 2022 10:07:18 +0300")
Message-ID: <87ee0fiewd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20225
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 232
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55660
Cc: 55660 <at> debbugs.gnu.org, derek_upham@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Thanks, but shouldn't the heading line of the entry you added be
> qualified with "in PGTK builds"? or maybe "in GTK and PGTK builds"?

It's already under "Runtime problems specific to PGTK".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55660; Package emacs. Full text available.

Message received at 55660 <at> debbugs.gnu.org:


Received: (at 55660) by debbugs.gnu.org; 27 May 2022 07:07:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 27 03:07:34 2022
Received: from localhost ([127.0.0.1]:60789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuU4M-0006mt-70
	for submit <at> debbugs.gnu.org; Fri, 27 May 2022 03:07:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52022)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nuU4K-0006mi-OH
 for 55660 <at> debbugs.gnu.org; Fri, 27 May 2022 03:07:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53068)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nuU4D-0005OR-EH; Fri, 27 May 2022 03:07:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=H70IRoHsqJZSOMCj07AuiCShig4444FVkMZJfATNeIQ=; b=fEr9Bts+sNBx
 Zf9RlOL51VeoTXS0iMrCEhBi6XwijM3C+qMB9NHi2ckabqAIQ/r9hBctGnz3jZLNIrTc2lVY8Zfbd
 56AEQeMrU3K/dUYu0GzqkqRFzQIltrkfRllo5luOT08C+g6MHnFFxz1hJecvXP6nNoi5LFSEg6SP4
 qhnU94aDFZWxli+Zf+dUpd5JQ0m9iVlBYZzTqqec5XKZegs4ZE35WunDWxYWKSfW/0gKm5h2V6Izv
 14NxShvzKIMJhd1OsZGPDTL4lbRutf5TsqOfpxyjGEuzS0cBrRcwcv9eA0y8KniV6QzRo0k1b0OpE
 xphaesfeAV4yiLXuetbQrw==;
Received: from [87.69.77.57] (port=4123 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nuU4C-0000Hd-2M; Fri, 27 May 2022 03:07:24 -0400
Date: Fri, 27 May 2022 10:07:18 +0300
Message-Id: <838rqno3mh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87pmjzik5x.fsf@HIDDEN> (message from Po Lu on Fri, 27 May
 2022 14:06:34 +0800)
Subject: Re: bug#55660: 29.0.50; PGTK degrades to terminal-compatible
 keyboard events
References: <87bkvktkva.fsf@HIDDEN>
 <87zgj3j07s.fsf@HIDDEN> <87mtf3dbga.fsf@HIDDEN>
 <87v8trivlc.fsf@HIDDEN> <83ee0fo70q.fsf@HIDDEN> <87pmjzik5x.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55660
Cc: 55660 <at> debbugs.gnu.org, derek_upham@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: derek_upham@HIDDEN,  55660 <at> debbugs.gnu.org
> Date: Fri, 27 May 2022 14:06:34 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Should this issue be in PROBLEMS?
> 
> I guess so, I will probably write an entry in a while.

Thanks, but shouldn't the heading line of the entry you added be
qualified with "in PGTK builds"? or maybe "in GTK and PGTK builds"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55660; Package emacs. Full text available.

Message received at 55660 <at> debbugs.gnu.org:


Received: (at 55660) by debbugs.gnu.org; 27 May 2022 06:06:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 27 02:06:59 2022
Received: from localhost ([127.0.0.1]:60689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuT7h-00059F-Ur
	for submit <at> debbugs.gnu.org; Fri, 27 May 2022 02:06:59 -0400
Received: from sonic314-22.consmr.mail.ne1.yahoo.com ([66.163.189.148]:42076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nuT7d-00058y-BT
 for 55660 <at> debbugs.gnu.org; Fri, 27 May 2022 02:06:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653631607; bh=fNST0vcRpjuOuEtiGIovboW/QANEM4+lwYP5NqaG0Uc=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=D7Nj/SGlwWB1NXU6OqoNtrpvqq6fXnLqubvhDhUB9kCVXMcR7t7bX6w7sjasnhqoDtigezplq82sbf54XOufMTZ/SfMiU8/ZyOqQVXwhpV1KN3fJ2Txy/YVsOPlboOod2NxL+TDTu+K/gOaBmMdAmMqLsOd0RcKY0Wt9Mw4lCztCm9H+LXp4GOuSknWw6W/spVT+T9V0gYLoBEoW4x3Fz/rIAyshL9gCn6jjI4CvN9oYmi11tZs/1cWFCNIlWfjf0XxVpLUOYWlN/ZhYm9bA4IfzY0gCzJXWz1QShcqNuayLUuQwGf3hLVUXtzCwYgfG4dOFyP7uSaqc8aP3MBmT+Q==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653631607; bh=AXU8sYwRAncudUNjlrLve2QfwdGreSGbYcdcMuwfXDX=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=rT6Q+/YpYLtPHTTyd5KPtUxLU03sqimNo6BT3aCvj8yNIbQdn/cZKD6l5NgNuXk/Am368E2hh8dsowL/EDPrHC4hBn4XudJBqV+c1a1LF5SUmntv4Hwm8FB0MmnKo8CeypSFJPKEvrJuK0g7WKjKCF752SZuyOmxC9/gs7p0prKgauityVoXZ2ZygLq9Sh7izwECwZXmNHD3uXhTEpaGW4HIamgMI+99GuiiFeg4FJX9u8Sw24mVh/mActPsb2ajNQftOLzp2QYt/dhoi6QBQwbZCujb9H1Jtbz+oGpNwWMzZK2s0n2d8vjLz5cAgsgM23z3cjEcSOi3x+wkngYJDQ==
X-YMail-OSG: J89YvJ4VM1kRpeEF013mMNPx.m_t.npL80XbxqyWay4lwf_auPX2I3r0eNX6hHU
 bytiWyt7tuPeg8C4eqKBO1dkUrEGW87cMNS.KVJnWACYbsl7vvXR2w3_FRwQX0jHWo_XvxhUgeO_
 JBDs_aoeWNsTGMykfoWoBd0Q66JOeKxNgJWIyTvAKcLL5tEmTqD80Nx4JY4QBvKOaHdmj2oh.oca
 trjO_tfHAPeY3eQjXwZ9ONHEbLeWqePcJwcjbTDav_t0Si1b7cAO59ZWbT9k.MU9jU1cJ8Gn8OSG
 h0lXFSO9y1rbV9C1wWNWFn3tE7oHOKmlFeOk_WzC11K0xIT_b4vekM6x4whIJAWUZg0bWmZuliJY
 gL7_nRa3ZJczzRtS2aE2KFjTMf1lSXjLeq3frqCraXw3XAg1ak5q0t0QkWa7_bRmXrAIXR3zLcfs
 mDMOisSnTf_mI_1JRzVHHVKBcVlLNNDtr0fTL_1r_wMwmpl_1AB_J.JE8Yo7hge_vAjSiYsU_E2F
 i0JCxzoQD6tgxWTYg6OYfZ6yIUBHPIw4eTHral37mJbf5g_L.ADlpIMR4Cvg_vUlaYfgp3H8y4.8
 cxykOwda.ZqhwPqDJ4mCr7zKmwKTNnGMt.7QGOahXoRjGRwnmXiK5VAMtpDt7xPYrPSeWgyN7Ppo
 WdrroMohEIkVUm9pz.H7WELbzFLUiJMrq6EnAaUS3P3UPyQnND14ez_ce2UU13PuU8aW.k_Q8Bv5
 t6tKDJ.hbIt.hCTysVox.C7eTet1u.lI3piwL67V0uDwozHvkwr6t62Hb085dLQoy1R8tqdGG5oG
 CPBxG1niwAOsBdN18LkAdQGTPVX3Bb42uQIPGR5RsOyAHbpgN1BVKJr3oiBesuaS5AH.3vSzUWo.
 jKMPSRdWTy2mAWuk3QFMsYnmKL43rFyCaRkKXICEqcWIfIJxUS_tgSBW0toVOHSVdqzakNoV.2D1
 iNotVYrHYLJfM_QVJcq0mKMqd5aqNLM7SGN2Agpja.CipZFz.qm7Da8I_nxOr1jWIYzp1ynIEcD4
 zPjycRsy2nUMdKGq3tB5WVJZP2daIIHb2v4C4KZsoYzdhPb14_JhiMnlbhDpf27oLzXGAuG5I3oV
 sl4_e9ByzMF_8lBiSMMPRVuVFn_Lwbn8fJs5if0aWu5QSjbN_uYDi1ngGHR_F48CcD.J_8WVOczU
 KDfPnYXCciAy9vd0qL39z0IEMmL3Y0Q2v4iaQwlEFDIxx8Pww.quvV_Mf6cReVmn3ETGRMAJz7wg
 8TK1A.hFHfEN_2..XLGLpqovjZZli7ZV4JsIQhQT7EX1ZuL8VXcFVPmmgK9GUZDF4g05BDQtA_66
 UiE2MyZWtn2XCFEPxeMd25j91UWmhk9X5DBEXyTI0cNGP9saL8Oey0q8jwFAVI0WKugFtMhYWZnD
 vC.lqgziRi88H568nEAdpWsBUBTf5NRxYEh9kX35Z6uCpdM11IFRG6VptOjo9mbLPXMzNKVPHWbN
 jdV41O7OgH7Enfv_YKHX1NmzdaeUXcHRaTQG2QqltLqLkAeSyuqY31hjFC97nABlxWXzQkqY9TA2
 _R66LMDupkDqmTfMALDRz9hj4WA7zZX2PT4LOm_2FVQlNDjTXixVrbhW2mJCtBDrocotbZLYf_Ab
 NqbeU6CRL7fOdsGPNFtoO_czMs7Py_JL8i_BQBcofxobqCGowJ1VQn1awNqNzqeOTdb7pocxYvQx
 KVjyfkgRTzuOtYkXFcd8Ipru_jlw07eN2VuHvZIz6WNPtnYjrL9W8.fQvMB0dlPFQbcJldcqEtQc
 oEyOYhYndeiaftSEqRPplTN5I80vDrUj966FPK6qGAq15Ne7GXPkfayJdZoBwRQFVxkveMgf4CQH
 asOaA2JC8CBZQg_QYLbEIqxMY6zUHFmgp8_6hK9.PH2CiXflv8Kf_Oq0MPWl4Ru8UleTwieZVzBM
 hAfSKVxdt__a421j.muSdwhhaJbWTiGlVLbKahqO_h0HwGsOLVT_Yzhr5y.gvRP3LiVJgTG15hm.
 zZb0KoK.AezdAE2chd4csYJeg7IOU2yCJUfFkfTdMz2uII79rrMAV4KdqbHGAqfke3memY_tXJZw
 JlZj6Ilvr6mL6y22d3cV.ZBe6qykeLkITK3LFt9mg1eJF3yvkYlTm4LrtjjBngiyI3c1y7Lzjij_
 3g1_g3HRY__yB2Q0BWTAPuwXC8lfweEMyiFgTq.aYGu5jdAvcREUkebOxXGAvfuji5QkW5lynW8S
 YyQtgnpKsn2G0fcH.Qs5.J7MFfjbSEVDJP9kUOdq3emJkW7gB3ftKmJ5fi_dP
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ne1.yahoo.com with HTTP; Fri, 27 May 2022 06:06:47 +0000
Received: by hermes--canary-production-sg3-5f7658c994-6jtvl (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 862018977891cea89aa2ac6d669b9806; 
 Fri, 27 May 2022 06:06:40 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#55660: 29.0.50; PGTK degrades to terminal-compatible
 keyboard events
References: <87bkvktkva.fsf@HIDDEN>
 <87zgj3j07s.fsf@HIDDEN> <87mtf3dbga.fsf@HIDDEN>
 <87v8trivlc.fsf@HIDDEN> <83ee0fo70q.fsf@HIDDEN>
Date: Fri, 27 May 2022 14:06:34 +0800
In-Reply-To: <83ee0fo70q.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 May
 2022 08:53:57 +0300")
Message-ID: <87pmjzik5x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20225
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 206
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55660
Cc: 55660 <at> debbugs.gnu.org, derek_upham@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Done (and anyone can easily do that).

Thanks for showing the procedure.

> Should this issue be in PROBLEMS?

I guess so, I will probably write an entry in a while.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55660; Package emacs. Full text available.
Merged 49211 53200 55362 55660. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55660 <at> debbugs.gnu.org:


Received: (at 55660) by debbugs.gnu.org; 27 May 2022 05:54:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 27 01:54:13 2022
Received: from localhost ([127.0.0.1]:60661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuSvN-0002dA-DJ
	for submit <at> debbugs.gnu.org; Fri, 27 May 2022 01:54:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1nuSvI-0002cq-T3; Fri, 27 May 2022 01:54:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52348)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nuSvD-0001To-7p; Fri, 27 May 2022 01:54:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=lRdbcGkMZb0C+/Me1yFueLJL9WyurubEGjJriX0dO1w=; b=sRrVHbP/W8qWxWKUA/u2
 wDzejtem0RcTvb1/HHuZ1ZmFGNxNi0tUdDiir2gIGDMqPZeDW2Qq8jfX/rcqxvAHeEv+cbPool17K
 45GVFJThNL/APLsYii5+goqUccsdaWu2Di6AG8LexNA+BYhVnoHZ/+QtythERu5zC/9FH+Z8Ox2y5
 ZXWajKF0jc8yRJAAfGYVrc0qX0R6UyueE1plqZOMSPXG5m+llZgU6+bNMtPGDgI74EGxkad5+c314
 Gx12po9vhJmVr5vA2bTQJT9HKTLiPwkFNsgS03hTmoaHGLGFA9AZP/4Lq/dMDm7GAfVfR7QA4LEu8
 S828Y92ikil5Ew==;
Received: from [87.69.77.57] (port=3605 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nuSvC-0007Op-G9; Fri, 27 May 2022 01:54:03 -0400
Date: Fri, 27 May 2022 08:53:57 +0300
Message-Id: <83ee0fo70q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87v8trivlc.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#55660: 29.0.50;
 PGTK degrades to terminal-compatible keyboard events
References: <87bkvktkva.fsf@HIDDEN>
 <87zgj3j07s.fsf@HIDDEN> <87mtf3dbga.fsf@HIDDEN>
 <87v8trivlc.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55660
Cc: 55660 <at> debbugs.gnu.org, derek_upham@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

merge 55660 53200
thanks

> Cc: 55660 <at> debbugs.gnu.org
> Date: Fri, 27 May 2022 09:59:43 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Derek Upham <derek_upham@HIDDEN> writes:
> 
> > Calling that function restores normal rich events.
> >
> > I’m using Ubuntu 20.04.  The distro installs ibus-gtk3 as part of the
> > normal desktop experience, but I haven’t configured it. “im-config”
> > reports that it’s using the default en_US locale.
> 
> Then this is a duplicate of bug#53200 (and many other similar issues).
> Would someone please merge the two?

Done (and anyone can easily do that).

Should this issue be in PROBLEMS?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55660; Package emacs. Full text available.

Message received at 55660 <at> debbugs.gnu.org:


Received: (at 55660) by debbugs.gnu.org; 27 May 2022 02:00:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 26 22:00:04 2022
Received: from localhost ([127.0.0.1]:60397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuPGm-0004vG-0b
	for submit <at> debbugs.gnu.org; Thu, 26 May 2022 22:00:04 -0400
Received: from sonic313-10.consmr.mail.ne1.yahoo.com ([66.163.185.33]:35560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nuPGh-0004uC-5M
 for 55660 <at> debbugs.gnu.org; Thu, 26 May 2022 22:00:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653616792; bh=/mA9nm2sUfeWMBCOcc2dgOfJ8UAivUYdy9HdqdNUEPU=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=FLLWea0DG08ed96e63HuqtC8SELqFl52+Ltvi0HeXxrsGrMZlXm30+VvCHiKKqi/+fwJxiQxbJZW5Yx1d4kSqDSUyhpe7KUN0DqX5Y7BtrOL5/rh2w99EdLK7DmJCszNKEH+pdWSzAqWRD+EYhcNrvKmmzbYbXGX7oT1HfYhn85Qy2f9wFArb/23q3taET3ehZe6ZHfXPzAkaHSz4olr85s9gyhXnxgPOTxASL0ZMU1NR0+YJ3gnM/n3fm49oq6Udpx5Nl+bQ51HgiTMsLl6WmhkRAc8GhfgqDbpWRt1M4uIu3ubXbCToMc3w6EEnAnokmi23+PHekHiebRgTzwZLQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653616792; bh=5mFFWkMYcCvshrCIr8QytIRfuMViLr/itCVrrYjgWsJ=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=DJqNhkBafJYLCZn9xqxHfvICsD3LAIv2aKw9N3+rkvqiU4lGYkM+/Iya0Dzna932xdLTKQzEQpMURVsyULV5HwGdpicVTc4rUmMNSpNdRt0or813wo3Fg+w918lo+6Ujozs6O1LK/pUT7G0R0CXJ78BNlNn1UzQWKZYMyeSPbOy850m9JD/FoSfEJslMtzSAJxitGMhlLS95lHVDvouF891eiaj2aSMb6VCtQaRo88mNfobBMOs0vGLupEPzcICYjB1NED3Xa+gmq87Xwb4/97TGmpn6ihuQe5DAe/4r7Dx/dUqMMK8alcLQMOqchHWzZrLljR0LDdOPbfnFs8hkKQ==
X-YMail-OSG: 2F1begAVM1kJ.X.65xSWjXKsugw7cIIE9ddkGuPZMXqvIq2r1NYVhvJi44nRMzI
 In8SlXDoAZY0lf2L4Hj3vR.KRZADIbd9SZkRb89iIoQk8a6MKxGWBYeiq9gvUodsRY7ffotxgD10
 0CY7Ww2V_fsLZkT6dFu3IznHfs4bmlQb14dzkFSJJRxBQwDTcHN.95TLpI6ZBfUaxUU1ZLfJB1DV
 HGVhHiJ4_IFCqEsQ6X0w7zHAfnQeFZUMK_Erjz.PcziOhwyqp0rPQ7D8DMakO7SI0xqs2c50Teaz
 2nCkQs98yKhyNuIyON0ZBGN0ifhl3sxhgxOtRxCisba6W22D6BLooTp1c3Ca4tc6z7y9jYsBbKuh
 F1Y9K9tpFHcKKf1Jqb9gVzGBDVvwvE6C6Z86leBFIOXPJmNlB0EzrKdnaXhwon9XPFtv4_6XNNqi
 L.jB0quv_qd4JQTZuoRdK1qZp.a5K9NgdHP9iVt3wWEVO7c0Vgi8HykwNMXNRhPWVIDJwi8AcIk_
 x84HZLz_1wX.zrqBLSj.Dx7UAbDGWkQ.z75NVIJPoB1lQXrl6YqSadHwMGYkDJuIDZIf9bFsPLk5
 zm5cPL5D2OsvI8kwSvwZ6EA0DH5CN4q4v5W2IgYtwczd3xc6ZThw6B6RFgSdycxU50qrDZwVriED
 yqgO5kPgkNM9ycV8eGBolujPkHc1fI3NHf5RXGbWqm3bdDmZ3rAZUnJZ0AEccuZ0lV0k.NfJa_CJ
 0iq2a4XhUbY5T01B_1IaIHxG15tPg5_gN3q8rCoum44yY72gRIBOUCanDl89vQ1GPu12ufTrIDd4
 R1y1RZRxakwIS0s7iZE5FRRW_pK84DygJL.KAytEJXTT3GPNZoOSxPKkhuYhLuVZGYSv_6ve.N4Q
 xKDA4QpmJ.9QhwQzqOkiQdmJpV2jdGkz_VFeJa14pygTJP.Vgu4uCc4wHQSXcwWYFrrAqWWlqjJ9
 Ou9EoOvAJS1xIUSIosjmeSYePfZE_bcinmHbC46Yy6p4PkCHWlMyIAme7fDqRTWOZEGRhsPLU666
 F_Wxk6QPY6T8lWKcYVOceMVqCzC8_1oRzzS5m2Qj2S88OBKPflqrd0rc.HMXZpP7dmp.x2CWLaQX
 uDln0KnmVSEeUYHdP9LOZP1hJP5.IvlR2HfRhPv95cUaZGLGWiWBkvV4LOCK_Pz5U7ejff5inA26
 SZCIpmLO_rwRCxNlkvEaD7XRNdO0VO6Uwnr43bljbDPKd50HFbxZ4DzuNiONYZHgExZkphihT0rP
 WXueper3gAdFyr01Yunya0WFm2gTDDlm.DWlo_GlpPcV76fYsJ2p6QFF9MOYxkpWxiZxGyhhMzFB
 BE7.VHDVBNZXMDiMQajJRtTyHQDgE8m2O.YzK7Dm_EWbu9yTEi8WWv2JiHQj9Q1NyCb80Fbol6Hy
 sDY1ZowQdC0nCm2J_6cOp0WUmnxU2Q3e_0n8HOE9IoeOMfHlQA_.SkyplsMjCY.sNYFIA_opUVSm
 KZOEDdE8gOzDwsAC9g4wJhfV0LcPDkB9b_n20Ly41zf2vWIRA3h9cpiXe7khB5UyTEq9092T0TKI
 zJd0DnXhT3XJ1twzO02YX57mycP0DvZTtFDRaqYVqykGXklFP1LjhGMRljGYSnFQT1WGVErN2RON
 JwxOk3Bl6Muue4NII8E8_IN23jdy8CvaOicXbMZEDhFbPiBj.yGz_b7AwziWMYr.HBU.jCVEmin.
 1nXrJSG_dpRXMj5CIMSh53ZjL5gfinCsieTYguM10A07.Bc_8iJCen1LFJmkg_mrnckqbfL9d9fn
 1fXjEhbRvDPcLQ3wM6SsQ4C.d0EZd4ZXWIoSylr7rRzouRqoXawDYSqjcFi8iL_y6Pbb4I9zFg9s
 mLaNfyYhXuUFAmbeIroWgRtuUC5rbhn_pNjyX0PgtBt2zusGCOcWtgBzicthwcbpCn_Pw3nS94Qz
 gjBqfuqZCP3w_owldkDT6KjRaVEVBc9JssOlMvbzv867zBnR1HFSwwHo3AxYJImMrfGmCWX5lnXw
 YZQkf9xUKKd91i5ahyv.WgRM0UkA6KUCER3MpdS.4D1Q_g671QEI3469K1l9in4cJJ.cYS9yv0Ov
 z87R.Gq6t8G4c01hPgvOY90rl7q35o0FVNtKWDY2cE_nNl91SHp6qkWdqxf3GGYcwcVjwesw2mZR
 NrHGKIPELrWlcL390gG_UpHozZRPCPhKKTiAND2JvDJ15eFcGQyrdC6E7Q3OyKDjcY3Pu2H0fKyq
 buJJ6WhMfqRCRAbA2yqaV_5FnDbHNu9IZSniX3TNV7yweaHQhyUJtsf4jl2U-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ne1.yahoo.com with HTTP; Fri, 27 May 2022 01:59:52 +0000
Received: by hermes--canary-production-sg3-5f7658c994-6jtvl (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID efadedee03abf4a1d5a9e829492faeb0; 
 Fri, 27 May 2022 01:59:47 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Derek Upham <derek_upham@HIDDEN>
Subject: Re: bug#55660: 29.0.50; PGTK degrades to terminal-compatible
 keyboard events
References: <87bkvktkva.fsf@HIDDEN>
 <87zgj3j07s.fsf@HIDDEN> <87mtf3dbga.fsf@HIDDEN>
Date: Fri, 27 May 2022 09:59:43 +0800
In-Reply-To: <87mtf3dbga.fsf@HIDDEN> (Derek Upham's
 message of "Thu, 26 May 2022 18:13:41 -0700")
Message-ID: <87v8trivlc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20225
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 450
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55660
Cc: 55660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Derek Upham <derek_upham@HIDDEN> writes:

> Calling that function restores normal rich events.
>
> I=E2=80=99m using Ubuntu 20.04.  The distro installs ibus-gtk3 as part of=
 the
> normal desktop experience, but I haven=E2=80=99t configured it. =E2=80=9C=
im-config=E2=80=9D
> reports that it=E2=80=99s using the default en_US locale.

Then this is a duplicate of bug#53200 (and many other similar issues).
Would someone please merge the two?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55660; Package emacs. Full text available.

Message received at 55660 <at> debbugs.gnu.org:


Received: (at 55660) by debbugs.gnu.org; 27 May 2022 01:13:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 26 21:13:57 2022
Received: from localhost ([127.0.0.1]:60331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuOY9-0003jy-E7
	for submit <at> debbugs.gnu.org; Thu, 26 May 2022 21:13:57 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:53230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <derek_upham@HIDDEN>) id 1nuOY5-0003ji-Bs
 for 55660 <at> debbugs.gnu.org; Thu, 26 May 2022 21:13:56 -0400
Received: from smtpauth1.co-bxl (smtpauth1.co-bxl [10.2.0.15])
 by wilbur.contactoffice.com (Postfix) with ESMTP id 9A196E6C;
 Fri, 27 May 2022 03:13:46 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1653614026; 
 s=20210208-e7xh; d=mailfence.com; i=derek_upham@HIDDEN; 
 h=References:From:Cc:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=726; bh=uhvGEaSXkQQNA3aEbpyhpZi/3dvZOZQROMw868VIFr8=;
 b=UBvno1X72fNGBJJ38tqiUAScEzDxSVRAAmBQSN/GcF6whKoVXADGKcY+KOCn80He
 +H3/FJOBZeTTeJvcYyrgffaqDqVpukvnovDTny4kd3T+7yTDuQ5cT4ldMDjnXhiJIPL
 GGfIxp+tBekcEhkPoOSeyUeuagLn+IZlo9xqBYdkGQP88j0nr2wRFfY7+zSN6B0Adwp
 JnClZlz7995XBYALr2Mdq5mDGiMMY/fsQcwITuv/XmNcFlqDySdVapTZU9qJbuSMlVy
 ESBl+9uGzS2I3iIGwkF1zZK9XBa+wFVj4P1wWOTHxZaK+0i/r/G9Tb4q3KDNOhG/sev
 Q2wzvS0dNw==
Received: by smtp.mailfence.com with ESMTPSA ;
 Fri, 27 May 2022 03:13:44 +0200 (CEST)
Received: from [::1] (helo=priss.frightenedpiglet.com)
 by priss.frightenedpiglet.com with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.95)
 (envelope-from <derek_upham@HIDDEN>) id 1nuOXt-0060Vf-VH;
 Thu, 26 May 2022 18:13:41 -0700
References: <87bkvktkva.fsf@HIDDEN>
 <87zgj3j07s.fsf@HIDDEN>
User-agent: mu4e 1.4.8; emacs 29.0.50
From: Derek Upham <derek_upham@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55660: 29.0.50; PGTK degrades to terminal-compatible
 keyboard events
In-reply-to: <87zgj3j07s.fsf@HIDDEN>
Date: Thu, 26 May 2022 18:13:41 -0700
Message-ID: <87mtf3dbga.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Flag: NO
X-Spam-Status: No, hits=-1.0 required=4.7 symbols=ALL_TRUSTED,
 T_SCC_BODY_TEXT_LINE device=10.2.0.21
X-ContactOffice-Account: com:175140567
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55660
Cc: 55660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


Po Lu <luangruo@HIDDEN> writes:

> What happens if you turn off input method support, by evaluating
> (pgtk-use-im-context nil)?  In general, these problems are not=20
> with
> Emacs, but with GTK input method modules, and should be reported=20
> to
> their developers instead.
>
> Emacs never "degrades" to "terminal-compatible" input events=20
> when using
> a window system.  We directly use whatever it reports.

Calling that function restores normal rich events.

I=E2=80=99m using Ubuntu 20.04.  The distro installs ibus-gtk3 as part of=20
the normal desktop experience, but I haven=E2=80=99t configured it.=20
=E2=80=9Cim-config=E2=80=9D reports that it=E2=80=99s using the default en_=
US locale.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55660; Package emacs. Full text available.

Message received at 55660 <at> debbugs.gnu.org:


Received: (at 55660) by debbugs.gnu.org; 27 May 2022 00:20:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 26 20:20:07 2022
Received: from localhost ([127.0.0.1]:60298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuNi3-0002Qj-Bt
	for submit <at> debbugs.gnu.org; Thu, 26 May 2022 20:20:07 -0400
Received: from sonic308-10.consmr.mail.ne1.yahoo.com ([66.163.187.33]:42258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nuNi1-0002Q8-BW
 for 55660 <at> debbugs.gnu.org; Thu, 26 May 2022 20:20:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653610799; bh=+5y8PbYEtqYbGt3Z98mYKic7A/zHw6nsNs/OHl+hfzM=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=bKqNfF783tPXKCaNQ9zwgLo4MgfKiN27482l0oBXDqMAA2YdJQa/cCqV199gqSy4g8Gf8kcxjNrJnDwibjMHToYB0Iz/8iKe4J7ltcn7GzdLy+GJnWRRLq1nv9E62ktJultFQWwtj/slMbuftjJwDtgoRHCk9GL7YtXxDAeUKFHBwziIeTMZkROEBI9EoSFmaE3jZwDtHFAnoKAQbuhpc9DXY+Z/J1J/qkYmHPtuPLh/J8Rl409iPxF2jxAIaRNi2zegkrYPfAjtQo28EFXnuaN0M69/D8ry+h4XjY2FFZvufw9xBxIvFLZtS438SWDEqn7CslxQub2RWwXEkkyrOA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653610799; bh=qPCOfQ7nq5AC7cFUzxWqFXTHDEYtudYEdvRS7pnmILK=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=JYoJvoSv5uSyqqAHojjMhfB8SuLJWFs1Jh99gkmS5ZkoufPK7DWawRhMUImX+kV78lbWd6qpFRujQzoY2ClTnUytFFsJmUyX6oexvHi7gQ+xHeakMn8xyLx4ft0NJVcVml9/Pn2j4eJ+hJ06Wu2K06zZNZoyUwIgNdJFyakK/yzSyY0SsVTziSJBGAnhKQLz+M+wNuDBOOIKfwYFv+y3EXTbAI156k8JKzDYN8nEzk84OdPZ0yzyZgxxvxO+0/9oSDSXNN/PTQIqLcSflm97cfRKaEsU+dbT0iEevXMk6c/10gfQXqUNrhhfEl9qWKkwPsW1KMemzmNVPgU3O4P0Bw==
X-YMail-OSG: xIpU2RYVM1nSYS1Yg2H6FItQzMXt2boKK48aYi19ikJAoYL0Jf_KtPS_7hkKuZx
 MGJlKgDnMyKxIMQFmd6Y9i_DIa6Zzu_v2BedfsgeYT2sSR3as0xaHlyKU5RgPG0kxbWANI68y23n
 2S5pc4yrs3OZmCqf2TeSYUp.M5U3mfNgxMRHdxh._KZ8lhEoWpeyw.nF3DjBVZ7i_u40eeLf6cz.
 YXDdwZp.uQ8nQSWGiFQtST4mhkjIQV6pONAg_zKccqEIrBXofSMrI2Cs5AvkY39T97IdPapH_RrB
 kcemUlBbi6xz6rgEB.Zcq8iwoY1x1XP3ABtjfVIDH5DUHNH0Ftn_UHksW5QHI1pqDYwSEY8fiHjt
 3iLDTeuPZUYF3e3OyeL53znWpoeYWUGLPqiQwJ8TcPIsAXJ6iUIemYuAHES3AO5sLx76vwly1IAK
 BkbBNSr5XRDlBbjtR1ytmFA4_6nrOF7a_H9F7.LfRC..Uqui1wAOEP1vO5v5tqSCIzdCOQoabAL0
 ARhWvQngowmnVLA7iZN6c3QocoWFlQwnSFGNI2AafqrUocims_iPOBGX57qw99XWd0TuTDDr4J7p
 6giAjfjNxtQHpsNXHT6oRB.FxtCWkIv1a4w9BO9xuQYgOm7SY527c6Zxdp4U616LhkxMyQhHw7Ll
 wuhmc7ST_vu5PFMPndEgwbQBxLSMZYdO8v.X60vzJp1vddxkbW6mNEqPZfS5FONMPZlGP6_FIhrk
 cQzkZB1QvDW.KOPoA1NpvoXAN6z1vxDgiFy3cFm5gCUarM6Dz_CA0mXOnhWYYzqLGIWLZ1u5836B
 PJSUggDCT5s0A6luWRQ1hKfuFils2RNQgKtKP3lwhs2UNL7sBIk.Y.RDiaIVAc1oOrECA5CtlDe8
 7ys2V7PoVYBJjzPQX3uTBmxbzITGlHKjmLVe6dkkwS.Mn7fW3HtA4XxQRxoxle.z0dfK0RtTBzN5
 BtMZNXxT7fM8.KhWBtm5.TzAo6MQj_1MAtj.owMNV.YCGPN0_mbNMXVXPpDQOZNnT.i5CHM2mo6O
 FecFP1sTn4wNTnaGRjyl1d1Np02AzCzOI4CmYUvjyhgXF370bq6x7.kUWeJTogyx1wRZ5SHt7mk8
 aGGk54iSMAHcL5xtcdZiSleXrKbG6uvwC9DT3CNap1oRR6LCzCSI8wTtSz0XmMelGy13Kyr3eZYf
 1mY.OhuXfN8FJ4qG0WL7ZFmkLs_a6FehMtnLgJ6.ReKmyPHUksxfP2awnZIpbdemiJLH7Wyfva0q
 wHvMvpFSKdp5BJBCd6Bi.CPxfI_HcLg3rx3RrAao2zz5ebGxmVMDqPDiF1hI6_aTudHkW6zF4xeP
 FuLhJYbx5g1FuHSFb4Q1QhWIVrwP.VBjZE.gS.tYGA.9W8eiZC3nmSxe1kHDSiutCY7iC4Bz0sY4
 ZRdSJuCVOWSFX.pVg7x8otX28q_fBm2X.6RZ_L94ZHm4qgymt_ubsyS7TP.Qe4EHRLCWyjTPqWDu
 EW7_vL_RDuG4l7cON9_g8Q9yHmoxIoKjNWqafc3rTgscWmTJKidIUZkCYT6PcDS39J0FiAjfUwiR
 X4P24llzFVBwoqO5aUbj87l3lL.WFR0uubBgn7M4GhLqz.UJSiI7XUVC_MfPblewRMO8aSasCqCI
 N23y6ieydyoOpHQJqKJclbD57oi.270GDKGJWXgEXrvwAxrtBlFIOd0oRVjrgJ_dVfRpT21Nzfmr
 vHylCYjJ2T8NNd.vePDtlH7o5lOdDNaauPAaw.fjhT_H2cbXP5zWcLz7qkhZHzei8tY88boTrB8x
 gjI2HXLo_7o9z5zGSyULY9jZa5N92li2pRw_.2UkRe9LqLreePVph9fugS9KqqOAdOs8qs74U6bK
 PZbIZGaggTH2xo7VefYzhuOFg48TmuoRJZDqyKjnEWapOZxUzvanBF9vokR9KsbW5rdWkQzeaAwR
 MCbBbcZCwAY1Lru5RtjyIjKhD7ASRKuoVpSo24.eqwBFAy0K6sthLS47hH8J4h6EwGYByEFPWoMg
 3GoRXU7xhI6YuP3XyIc00rFjXbk0DG8.j53hzVRwk.5ZV12Yxt3AY.G1NQWg4SRW.1ev8e63o0Ki
 4tJEdLrlr.A044dQ4OrxJba8JTrYcnwBgFMqOVVnzLJhiCHGhIry6CYu_66nVL1JGtaxIfVgNePT
 kXYMj3TwbxR47qRCzvgOLl8LgqTBMiWLCZx538jDWfsHKUVFV9X1FLlv1OyOGlRokiWI0VxBnNSf
 mvnK9fmAwSh1MhyveaeXxTvKzHlDVvf7o8FZj1m2uirfF1F45yJ.Q4QyVjLs-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Fri, 27 May 2022 00:19:59 +0000
Received: by hermes--canary-production-sg3-5f7658c994-m7v88 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 05691ec0aababc40a2dd01a972ddb30f; 
 Fri, 27 May 2022 00:19:56 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Derek Upham <derek_upham@HIDDEN>
Subject: Re: bug#55660: 29.0.50; PGTK degrades to terminal-compatible
 keyboard events
References: <87bkvktkva.fsf@HIDDEN>
Date: Fri, 27 May 2022 08:19:51 +0800
In-Reply-To: <87bkvktkva.fsf@HIDDEN> (Derek Upham's
 message of "Thu, 26 May 2022 07:43:37 -0700")
Message-ID: <87zgj3j07s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20225
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 2072
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55660
Cc: 55660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Derek Upham <derek_upham@HIDDEN> writes:

> Meaningful control keys in ASCII are @, A-Z, [ \ ] ^ and _ (0x40 through
> 0x5f).  VT100 terminals use the Control key to zero-out the top two bits
> of seven, leaving us with 2^5=32 characters.  The above control keys
> happen to be a bank of 32 that are all graphical and easy to reach.)  I
> have old notes to myself that say that VT100 terminals do a little extra
> mapping: Control and `?' (0x3f) sends the DEL keycode (0xff); Emacs
> itself seems to map Control and `/' (0x2f) to the same keycode as
> Control and `_' (0x1f)).
>
> Window system interfaces like GTK track individual keypresses, and Emacs
> supports binding other keys with Control:
>
>   (global-set-key [(control ?<)] 'my-left-command)
>   (global-set-key [(control ?>)] 'my-right-command)
>
> Some terminals even send special character sequences to Emacs that
> encode the Control modifier alongside the ">" character.  Xterm is one
> of those, if you use the "xterm" terminal type.
>
> I was experimenting with Emacs configurations (in a weekly snapshot) and
> discovered that the PGTK interface does not support arbitrary Control
> modifiers.  I can send any of the ASCII control keys listed above, but
> for all others PGTK ignores the Control modifier.  Control-> turns into
> a plain ">", for example.
>
> These configuration options have the bug:
>
>   --with-x-toolkit=gtk3
>   --with-xwidgets=yes
>   --with-pgtk=yes
>
> These configuration options understand Control-> correctly.
>
>   --with-x-toolkit=gtk3
>   --with-xwidgets=yes
>   --with-pgtk=no
>
> I'm aware that PGTK is under active development and unreliable, and the
> immediate workaround is "stop using PGTK".
>
> Derek

What happens if you turn off input method support, by evaluating
(pgtk-use-im-context nil)?  In general, these problems are not with
Emacs, but with GTK input method modules, and should be reported to
their developers instead.

Emacs never "degrades" to "terminal-compatible" input events when using
a window system.  We directly use whatever it reports.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55660; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 May 2022 14:43:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 26 10:43:59 2022
Received: from localhost ([127.0.0.1]:59723 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nuEiU-0006iI-UD
	for submit <at> debbugs.gnu.org; Thu, 26 May 2022 10:43:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:50786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <derek_upham@HIDDEN>) id 1nuEiS-0006i9-0F
 for submit <at> debbugs.gnu.org; Thu, 26 May 2022 10:43:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41902)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <derek_upham@HIDDEN>)
 id 1nuEiQ-0008L4-5b
 for bug-gnu-emacs@HIDDEN; Thu, 26 May 2022 10:43:55 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:57710)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <derek_upham@HIDDEN>)
 id 1nuEiK-000606-7g
 for bug-gnu-emacs@HIDDEN; Thu, 26 May 2022 10:43:53 -0400
Received: from smtpauth1.co-bxl (smtpauth1.co-bxl [10.2.0.15])
 by wilbur.contactoffice.com (Postfix) with ESMTP id 8A1CC8BD
 for <bug-gnu-emacs@HIDDEN>; Thu, 26 May 2022 16:43:43 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1653576223; 
 s=20210208-e7xh; d=mailfence.com; i=derek_upham@HIDDEN; 
 h=From:Date:Message-ID:MIME-Version:Content-Type; l=1668;
 bh=pkeTd0EBBbMD/0nFVk9Okr/VmwhK8P5apPNJvmd7LsE=;
 b=5SlRHvvpFTayuIwGptW4E+xyJ/EgeELoc1+brT3Dhu7kkGCE84qH3FZ7bGP/YDHP
 W5l6UX9UstBBWKm0Hi7S7t8ATkL1+1lZFjgaf7EWnmw1yaqcUp3iQi9TluBid4ywwJD
 xM4s9UFTrmAmvti/ckvl1+n17Nl5TnJWezSBW8VpkdqUVhf+RX5XRNlnBGFTLKGuHo3
 t+W4r917A6xDMMR3MHD5KOENNNCfAQ78H3tm8diMFTOf8vbWnnMRvJlWHzkJf46F3zw
 wx9JCZcK6kjX8KF8FeRyY+UEf78nc8kffVfywMf+QhP8H/YdpolEmv1UsNBjEZwC5Br
 NIlKE5UohA==
Received: by smtp.mailfence.com with ESMTPSA
 for <bug-gnu-emacs@HIDDEN> ; Thu, 26 May 2022 16:43:40 +0200 (CEST)
Received: from [::1] (helo=priss.frightenedpiglet.com)
 by priss.frightenedpiglet.com with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.95)
 (envelope-from <derek_upham@HIDDEN>) id 1nuEi9-005ec2-TA
 for bug-gnu-emacs@HIDDEN; Thu, 26 May 2022 07:43:37 -0700
From: Derek Upham <derek_upham@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; PGTK degrades to terminal-compatible keyboard events
Date: Thu, 26 May 2022 07:43:37 -0700
Message-ID: <87bkvktkva.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=4.7 symbols=ALL_TRUSTED, BAYES_00,
 T_SCC_BODY_TEXT_LINE device=10.2.0.1
X-ContactOffice-Account: com:175140567
Received-SPF: pass client-ip=212.3.242.68;
 envelope-from=derek_upham@HIDDEN; helo=wilbur.contactoffice.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Meaningful control keys in ASCII are @, A-Z, [ \ ] ^ and _ (0x40 through
0x5f).  VT100 terminals use the Control key to zero-out the top two bits
of seven, leaving us with 2^5=32 characters.  The above control keys
happen to be a bank of 32 that are all graphical and easy to reach.)  I
have old notes to myself that say that VT100 terminals do a little extra
mapping: Control and `?' (0x3f) sends the DEL keycode (0xff); Emacs
itself seems to map Control and `/' (0x2f) to the same keycode as
Control and `_' (0x1f)).

Window system interfaces like GTK track individual keypresses, and Emacs
supports binding other keys with Control:

  (global-set-key [(control ?<)] 'my-left-command)
  (global-set-key [(control ?>)] 'my-right-command)

Some terminals even send special character sequences to Emacs that
encode the Control modifier alongside the ">" character.  Xterm is one
of those, if you use the "xterm" terminal type.

I was experimenting with Emacs configurations (in a weekly snapshot) and
discovered that the PGTK interface does not support arbitrary Control
modifiers.  I can send any of the ASCII control keys listed above, but
for all others PGTK ignores the Control modifier.  Control-> turns into
a plain ">", for example.

These configuration options have the bug:

  --with-x-toolkit=gtk3
  --with-xwidgets=yes
  --with-pgtk=yes

These configuration options understand Control-> correctly.

  --with-x-toolkit=gtk3
  --with-xwidgets=yes
  --with-pgtk=no

I'm aware that PGTK is under active development and unreliable, and the
immediate workaround is "stop using PGTK".

Derek

-- 
Derek Upham
derek_upham@HIDDEN




Acknowledgement sent to Derek Upham <derek_upham@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55660; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 24 Nov 2022 08:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.